package com.gyee.alarm.model.auto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 设备
 * </p>
 *
 * @author shilin
 * @since 2023-08-01
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProBasicDevice extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "ID",type = IdType.INPUT)
    private String id;

    /**
     * 名称
     */
    private String name;

    /**
     * 英文名
     */
    private String enname;

    /**
     * 描述
     */
    private String description;

    /**
     * 排序
     */
    private Integer orderno;

    /**
     * 是否可用
     */
    private Boolean enabled;


}
