package com.gyee.alarm.mapper.auto;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gyee.alarm.model.auto.ProEconAlarmPlan;
import com.gyee.alarm.model.auto.ProEconAlarmReal;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author shilin
 * @since 2024-10-28
 */
public interface ProEconAlarmRealMapper extends BaseMapper<ProEconAlarmReal> {


    @Select({"<script>",
            "select a.* from pro_econ_alarm_real a",
            "<where>",
            " a.alarm_id = #{alarmId} ",
            "</where>",

            "</script>"})
    List<ProEconAlarmReal> alarmPlanlistById( @Param("alarmId") String alarmId);

    void update(ProEconAlarmReal ar);
}
