package com.gyee.alarm.mapper.auto;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gyee.alarm.model.auto.ProEconEarlyWarnScore;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 * 预警得分 Mapper 接口
 * </p>
 *
 * @author shilin
 * @since 2023-09-05
 */
public interface ProEconEarlyWarnScoreMapper extends BaseMapper<ProEconEarlyWarnScore> {

    @Select("select * from pro_econ_early_warn_score where windturbine_id = #{windturbineid} and statdate =DATE_SUB(curdate(),INTERVAL 1 day) ")
    List<ProEconEarlyWarnScore> getListEarlyWarnScore(@Param("windturbineid") String windturbineid);
}
