package com.gyee.alarm.model.auto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.*;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author shilin
 * @since 2024-10-28
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Builder
@AllArgsConstructor
@NoArgsConstructor
@ToString
@Accessors(chain = false) // 设置 chain = false，避免用户导入有问题
public class ProEconAlarmPlan extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "ID",type = IdType.INPUT)
    private String id;

    /**
     * 类型
     */
    private String types;

    /**
     * 排查步骤
     */
    private String troubleMethod;

    /**
     * 检修方案
     */
    private String processMethod;

    /**
     * 所需工具
     */
    private String tools;
    /**
     * 备品备件
     */
    private String spareParts;
    /**
     * 名称
     */
    private String name;
}
